%define Werror_cflags %{nil}

Name:		berusky2
Version:	0.9
Release:	%mkrel 2
License:	GPLv2+
Summary:	Sokoban clone
Group:		Games/Puzzles
URL:		http://www.anakreon.cz/en/Berusky2.htm
Source0:	http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Patch0:		%{name}-0.5-mga-set-globa-ini-file-path.patch
Patch2:		berusky2-0.7-mga-link-against-pthread.patch
Requires:	berusky2-data >= 0.6
BuildRequires:	SDL-devel
BuildRequires:	SDL_image-devel
BuildRequires:	gtk2-devel
BuildRequires:	desktop-file-utils
BuildRequires:	freealut-devel
BuildRequires:	openal-soft-devel
BuildRequires:	libvorbis-devel
ExclusiveArch:	%{ix86} x86_64

%description
Berusky 2 is a game that challenges your visual/spatial thinking
and ability to find a way to resolve a logic task. Using five bugs,
you'll go through an adventure full of various puzzles spread across
nine episodes. Individual episodes differ in appearance and difficulty,
which increases throughout the game.

%prep
%setup -q
%patch0 -p0
%patch2 -p0

# fix build with new automake 1.13
sed -i -e 's,AM_CONFIG_HEADER,AC_CONFIG_HEADERS,g' -e 's,AM_PROG_CC_STDC,AC_PROG_CC,g' configure.*

%build
autoreconf -fi
%configure2_5x
%make

%install
%makeinstall

# Remove documentation from a wrong path
rm -fR %{buildroot}%{_usr}/doc/

# Install ini file
mkdir -p %{buildroot}%{_sysconfdir}/%{name}
sed -i 's@Berusky2.exe@berusky@g' %{buildroot}%{_datadir}/%{name}/berusky3d.ini
mv %{buildroot}%{_datadir}/%{name}/berusky3d.ini %{buildroot}%{_sysconfdir}/%{name}

# Install icon and desktop file
mkdir -p %{buildroot}%{_datadir}/icons/hicolor/32x32/apps
mv %{buildroot}%{_datadir}/%{name}/berusky2.png %{buildroot}%{_datadir}/icons/hicolor/32x32/apps

# Install .desktop file
mkdir -p %{buildroot}%{_datadir}/applications
mv %{buildroot}%{_datadir}/%{name}/%{name}.desktop %{buildroot}%{_datadir}/applications

# Remove unused files
rm -f %{buildroot}%{_datadir}/%{name}/*

%files
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README TODO
%{_bindir}/%{name}
%{_sysconfdir}/%{name}/*
%{_datadir}/icons/hicolor/32x32/apps/*
%{_datadir}/applications/*


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.9-2.mga4
+ Revision: 525636
- Mageia 4 Mass Rebuild

* Sat Jun 01 2013 fwang <fwang> 0.9-1.mga4
+ Revision: 433922
- new version 0.9

* Fri Jan 11 2013 umeabot <umeabot> 0.8-3.mga3
+ Revision: 346895
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 31 2012 wally <wally> 0.8-2.mga3
+ Revision: 336526
- fix build with new automake 1.13

* Sat Dec 22 2012 kamil <kamil> 0.8-1.mga3
+ Revision: 334024
- remove P1 glut.patch, merged upstream
- new version 0.8

* Sat Dec 01 2012 kamil <kamil> 0.7-2.mga3
+ Revision: 324334
- rebuild for Mga3 Beta1

* Fri Aug 03 2012 kamil <kamil> 0.7-1.mga3
+ Revision: 278039
- new P2 mga-link-against-pthread.patch
- new version 0.7
- new P1: to fix build "fdr-glut.patch"
- new Source0
- update BR

* Tue Feb 07 2012 kamil <kamil> 0.5-3.mga2
+ Revision: 205789
- adapt .spec for Mageia
- imported package berusky2


* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Sep 7 2011 Martin Stransky <stransky@redhat.com> 0.5-1
- Updated to 0.5

* Tue Aug 30 2011 Martin Stransky <stransky@redhat.com> 0.4-1
- new upstream version
- spec clean-up (by Richard Shaw)

* Mon Aug 22 2011 Martin Stransky <stransky@redhat.com> 0.3-3
- spec polished

* Mon Aug 15 2011 Martin Stransky <stransky@redhat.com> 0.3-2
- fixed ini file location

* Mon Aug 15 2011 Martin Stransky <stransky@redhat.com> 0.3-1
- initial build
